Page MenuHomeFreeBSD

base/binutils: Cleanup packing lists.
ClosedPublic

Authored by jhb on Aug 3 2018, 5:12 PM.

Details

Summary
  • Use BUREMOVE to strip binutils tools not installed by the base/binutils package.
  • Update BUREMOVE logic in devel/binutils to cope with the base package which installs tools without a BUTARGET- prefix.
  • Use MANPREFIX for BUREMOVE to handle the PREFIX=/usr case used by base/binutils.
  • Remove binutils headers and libraries explicitly from the staging area for base/binutils.
  • Add missing plist entries for binutils binaries installed under a BUTARGET subdirectory.
  • Drop plist entries from devel/binutils that are now properly removed. Previously the binaries for Windows tools like dlltool were removed from the staging area but the manpages were still left in the package.

This is a recommit of r476186 but with the update to the pkg-plist of
devel/binutils.

PR: 230278

Test Plan
  • poudriere testport of devel/binutils, devel/amd64-binutils
  • make check-plist of base/binutils for amd64 and i386

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 18560
Build 18257: arc lint + arc unit

Event Timeline

jhb created this revision.Aug 3 2018, 5:12 PM
lwhsu added a subscriber: lwhsu.Aug 4 2018, 11:26 PM
jhb added a comment.Aug 19 2018, 1:27 PM

Ping. I'd really like to have this one reviewed rather than relying on maintainer timeout since the previous version broke the build.

antoine accepted this revision.Aug 19 2018, 3:19 PM

PORTREVISION has to be bumped

This revision is now accepted and ready to land.Aug 19 2018, 3:19 PM
This revision was automatically updated to reflect the committed changes.